• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Unable to use taglib directive in jsp

 
Ritika Saxena
Ranch Hand
Posts: 51
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have created a web project and running it using Tomcat 5.5
I am trying to use JSTL in my jsp.On writing the taglib directive in jsp, it gives me the following error:
------------
description The server encountered an internal error () that prevented it from fulfilling this request.

exception

org.apache.jasper.JasperException: The absolute uri: http://java.sun.com/jsp/jstl/core cannot be resolved in either web.xml or the jar files deployed with this application
org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java:50)
org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:407)
org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:114)..........

-------------

Do I need to make some changes in web.xml also in order to use the tag library?
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You may have forgotten to put the necessary libs in the lib directory.
Make sure you have put jstl.jar and standard.jar in there.

Refer to the FAQ:
http://faq.javaranch.com/view?JstlTagLibDefinitions
 
Ritika Saxena
Ranch Hand
Posts: 51
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I have already included these jars: jstl.jar and standard.jar but this error is still present.
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you using version 2.4 of the servlets spec ?
Please check the following too:
http://faq.javaranch.com/view?ServletsWebXml
 
Ben Souther
Sheriff
Posts: 13411
Firefox Browser Redhat VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by Ritika Saxena:
Hi,
I have already included these jars: jstl.jar and standard.jar but this error is still present.


Included them where, how?
 
Bear Bibeault
Author and ninkuma
Marshal
Pie
Posts: 65216
95
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
And, are you sure that you are using the correct version of the JSTL?
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic